Subject: Re: bug#22838: New 'Binary file' detection considered harmful

From: Eric Blake <[email-masked]>
Date: Mon, 29 Feb 2016 10:56:14 -0700

On 02/29/2016 10:54 AM, Eric Blake wrote:
> Encoding errors are not characters, but bytes.  A line cannot contain
> encoding errors.  Therefore, a file with encoding errors is not a text file.

Corollary - there exist files which are text files in some locales, but
binary files in others (based on whether the locale interprets the bytes
as an encoding error or as valid characters).

Yes, locale dependencies on standard behavior can be annoying.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org